commit cd7d2d4ba8ed55ff7b4f9508621c37d4afd3ce1d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Sep 12 11:26:50 2021 -0400

    changelog

commit 9e098453793ae15ea0cc036a711e92ef1967df40
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Sep 12 11:25:09 2021 -0400

    bumped changelog version

commit eb0145e164afb0c896492a1018a6149584e1f388
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Sep 11 18:38:51 2021 -0400

    bumped changelog version

commit 1b362bd36571d1cb12e9ee23e3aab80bf3e096c3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Sep 11 16:31:10 2021 -0400

    readme

commit b8b67582ac32b541c7d6f9877f137851f1cd87bf
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Aug 5 16:38:42 2021 -0400

    bumped changelog version

commit d66f87fbdedb7b5a9fea3446cc720807cb862250
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Aug 5 16:38:42 2021 -0400

    readme

commit 7e4cf17c0256fda0f6745d0c773f07efbdd7d7c9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 4 15:49:23 2021 -0400

    lintian

commit b69386c05ad2f815709ae021118f3831989a9fb1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 12:48:52 2021 -0400

    move /usr/lib/helper-scripts and /usr/lib/curl-scripts to /usr/libexec/helper-scripts as per lintian FHS

commit 35787e830d88bc28a0df235b33b078c8eeca8c4a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 11:47:32 2021 -0400

    re-generate man pages (generated using "genmkfile manpages")

commit 9688564989c4f6aa19fbb0aa508451e2c7bb209f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 11:41:47 2021 -0400

    man page

commit c4c2618ab5bca853cddd519332dae642cfe7e7bc
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 05:48:18 2021 -0400

    bullseye

commit 9d00f23882fd491e298a8824341b84b69e875c30
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 1 16:24:25 2021 -0400

    readme

commit ceeb1e9ea176e72d155c213a4619b53f62126bfe
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 18 09:01:27 2021 -0400

    bumped changelog version

commit d00fcaa51ee170a1c99fab38552849be146e3761
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 18 08:57:18 2021 -0400

    copyright

commit ade426eaf6483a8f92b2eee802f36383334bb8cd
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 18 07:42:33 2021 -0400

    bumped changelog version

commit b2cf2aac684f9ead709e1801daffa4d0a40fbcb4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 18 07:39:23 2021 -0400

    copyright

commit 7e0c5bc315cdbb43dcc0e75e3ee1b23bd2f2c120
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 17 11:04:21 2021 -0400

    bumped changelog version

commit 51a23bdaa8f579900784652431d5dc50f9d5e7f6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 17 11:04:20 2021 -0400

    readme

commit efc399758302db9dc3c55cb25f989882e6ed5963
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 17 09:45:13 2021 -0400

    copyright

commit c69f4fc2a93be5f81c433d31e22c57f9dd4563a9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 16 08:28:30 2020 -0400

    bumped changelog version

commit f55aae793e4e19f67efdce476882fa74e445fb31
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 15 14:05:30 2020 -0400

    readme

commit 0f8435604778f7cef80bbd52a59d423496107426
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 12:32:41 2020 -0400

    bumped changelog version

commit c59196f3d69ae37682da00267fc0f7c787fbaa93
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 12:12:29 2020 -0400

    convert to upstream Makefile

commit 227916f47636f7511e8daecbba1a0fffa9673e79
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 07:41:02 2020 -0400

    bumped changelog version

commit 08bca211d5779c33a73766060e28073601b3ba96
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 07:22:25 2020 -0400

    readme

commit b65fe2676f4f77bc3b0430023898cf97d3ab1aa9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 18:59:47 2020 -0400

    packaging fixes for build without genmkfile

commit 131d478ae156da9bca18b7eeda31c99f6d3bf547
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 18:48:15 2020 -0400

    Makefile_orig -> Makefile

commit 8450519f9b94cbb49df03d09e8adb07881b70daa
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 18:47:34 2020 -0400

    Makefile_orig -> Makefile

commit 1c674f1dfcb29c1e18cb018f5ce623eda617ee39
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 18:46:45 2020 -0400

    Makefile_orig -> Makefile

commit 9c214b77c7c4003093ba64069d6db9434270961b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 18:46:07 2020 -0400

    fix packaging for no longer using genmkfile

commit 3c9f9e70e6da0eed2783f37984f86a0912efaf65
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 16:57:29 2020 -0400

    remove genmkfile

commit 5e21650dfd1b1c888b6ceb1a147ee72ea927c79c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 16:30:07 2020 -0400

    add debian install file

commit 8176a70d2801a04356ba3b7cf2e747356d843be1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 15:56:47 2020 -0400

    add man pages (generated using "genmkfile manpages")

commit 01fc0e0ad37a0c137674048b9384e8bc87f070f7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 10:33:49 2020 -0400

    bumped changelog version

commit 9f6482a38d56d456d732c924e99d4cf8347f2d6d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 09:21:31 2020 -0400

    copyright

commit 04023e04750dbf5ae2021b7928bbd4eb9e52bd9b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 09:04:43 2020 -0400

    update CONTRIBUTING.md

commit 43bed1d0f909be81b0ddf303f873be3b9111967a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 08:49:54 2020 -0400

    update copyright year

commit a1e43fc0fe247685f475402ea14cdfea6536cc5e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 17 11:45:45 2020 -0500

    bumped changelog version

commit 5e0338cc430daf6d2cac3f71523cd34a6f46d612
Merge: c49e215 35d1308
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 17 11:37:14 2020 -0500

    Merge remote-tracking branch 'rustybird/master'

commit 35d130896f3de6c796f004c6bc413f46dd5bfde7
Author: Rusty Bird <rustybird@net-c.com>
Date:   Fri Jan 17 14:15:19 2020 +0000

    Qubes: Skip corridor.d/95-qubes.conf on any other OS
    
    Closes #44
    Closes #45

commit 8344bdfb36a06c2fb3819c61991e76395b9e99a8
Author: Rusty Bird <rustybird@net-c.com>
Date:   Fri Jan 17 14:15:17 2020 +0000

    Qubes: Merge *-qubes.conf into 95-qubes.conf

commit 19c077a3c2683d10a2af28fc4d4e2c298f469a49
Author: Rusty Bird <rustybird@net-c.com>
Date:   Fri Jan 17 14:15:16 2020 +0000

    Qubes: Remove legacy qubes-mount-dirs.service orderings
    
    Obsolete since
    https://github.com/QubesOS/qubes-core-agent-linux/commit/e0e89f153f87e9c92d647344a9bab7ef578108cb

commit b0cf65bfc8dd70402e2dfe51497363c39930cc45
Author: Rusty Bird <rustybird@net-c.com>
Date:   Fri Jan 17 14:15:15 2020 +0000

    Qubes: Remove legacy qubes-netwatcher.service drop-in
    
    Obsolete since
    https://github.com/QubesOS/qubes-core-agent-linux/commit/4a8b10ea8b2f39509d5e73e86ca3d6c5c6d192c9

commit c49e21576f867baf99496c4d23920c50ee026c85
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 17 03:45:34 2020 -0500

    bumped changelog version

commit a6f7cbb5d39abaf9b1cdc5386f0c127cf4028e98
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 17 03:35:06 2020 -0500

    fix

commit e43f07f44cc4d6e315e895732fa69896241d139e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 17 03:31:51 2020 -0500

    fix

commit 01b69361ec3fded447decf2d444b22830c59c4cf
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 17 03:21:43 2020 -0500

    bumped changelog version

commit fd57a58264dc5bc9b92e74825a1b88d1649d6af3
Merge: f175fa0 3763199
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 16 06:28:49 2020 -0500

    Merge remote-tracking branch 'rustybird/master'

commit 3763199eed5396fa4678f13d5f1e4a6f5547654c
Author: Rusty Bird <rustybird@net-c.com>
Date:   Wed Jan 15 21:34:39 2020 +0000

    Fail corridor-data on unwritable $RELAYS_STATE(.tmp)
    
    Work around the absence of a 'set -o pipefail' equivalent in POSIX sh.
    
    Fixes #46

commit e400a0317adc6e00d1614782c2b8a066c631e7e5
Author: Rusty Bird <rustybird@net-c.com>
Date:   Wed Jan 15 21:34:38 2020 +0000

    Fail corridor-data earlier on process_consensus() failure
    
    Terminate the process group immediately if the consensus reader function
    fails, instead of possibly a few hours later when the next consensus
    arrives. Use SIGUSR1, which by default terminates without additional
    actions and is not treated as a successful exit by systemd.
    
    #46

commit ff2e95bcace06ec74f35f647f0de4675ff9097c1
Author: Rusty Bird <rustybird@net-c.com>
Date:   Wed Jan 15 21:34:36 2020 +0000

    Qubes: Remove R3.2 legacy orderings

commit 4480e0ab3065774bc59471c8494d6e70d827271f
Author: Rusty Bird <rustybird@net-c.com>
Date:   Wed Jan 15 21:34:35 2020 +0000

    Qubes: Update qvm-create syntax for R4.0 in README.md

commit f175fa0023801bb3101a9cb2b4a48cc3391dea24
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 12 08:05:29 2019 -0500

    bumped changelog version

commit c6311dd1b43d61b8c142fc602abe5f0d20327581
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 11 15:32:28 2019 -0500

    newline

commit 2201af5e6ebbeac14687053f229aed1457b229e0
Merge: ee99889 14e7295
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 11 15:29:50 2019 -0500

    Merge remote-tracking branch 'rustybird/master'

commit ee998895a09095a8214a440bcaee8939ba8dff04
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 11 15:27:45 2019 -0500

    add 10.138.0.0/16
    
    upstream did that
    
    required for Qubes DispVMs

commit 1080c5e6c002116c3c1ac2e063ed53b4bee394a6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 11 15:25:24 2019 -0500

    Debian compatibility
    
    allow running this corridor Debian package outside of Qubes Debian templates
    
    out of the box
    
    by applying Qubes specific configuration inside Qubes only

commit a34005289909102b1b304a618468bfb70105c32c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Nov 28 03:15:36 2019 -0500

    bumped changelog version

commit f2edc96aab4a2862e8b034a5d02be9fd6ce53719
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Nov 26 08:19:26 2019 +0000

    version_numbers_by_upstream=true

commit d7aee8d362bb6a4929d8faa61cc4c79985ac88fe
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 1 11:36:29 2019 +0000

    bumped changelog version

commit 54930485c5860272f3a8c8eab4ab9b87710caf7c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 1 11:13:36 2019 +0000

    readme

commit cbb945e45b0748397d7c4833956c17060995f051
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 8 11:09:05 2019 +0000

    bumped changelog version

commit d7ea6af1edc2670098bee1baf8db2382240af850
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 8 00:05:31 2019 -0400

    fix debian/watch lintian warning debian-watch-contains-dh_make-template

commit f5af72f848d19156f3b948e59cfa12d575febf3d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 24 20:38:00 2019 +0000

    bumped changelog version

commit f82a0b367664b114fecea035c5601a7460c6562a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 24 12:28:56 2019 -0400

    readme

commit 864c9e784ed94d90f27cf288799a4ffeb0f41b81
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun May 12 10:37:16 2019 +0000

    bumped changelog version

commit fff53037d4b1d1e73e422f6727d42d632bb03127
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun May 12 02:58:42 2019 -0400

    update path to pre.bsh

commit 4567148c4772e04f2fd717c0007a807bfad1c5e7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 4 10:04:32 2019 -0400

    bumped changelog version

commit 54347203b58fcdb1f2d384589c126f7ffc95e617
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 4 05:55:50 2019 -0400

    port to debian buster

commit d526f4ce7f8ce8e8a58f3c4258da4bb7af38ed54
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 4 05:50:38 2019 -0400

    port to debian buster

commit 12a5e1f68ccdaba5494489b15577836fbc26271f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 3 18:04:49 2019 -0400

    readme

commit f22a19b894c716c478380b4ba68918ac7a8a22f5
Author: Rusty Bird <rustybird@net-c.com>
Date:   Thu Sep 6 11:20:36 2018 +0000

    Qubes: Masquerade and log DisposableVMs, too

commit 76523beef0c1682abc0fef06b8bf97a585af0176
Author: Rusty Bird <rustybird@net-c.com>
Date:   Thu Sep 6 11:20:35 2018 +0000

    Start out with default ipset hashsize

commit ad38b3eaa03e8908ccc421c02e0d596e163035f4
Author: Rusty Bird <rustybird@net-c.com>
Date:   Thu Sep 6 11:20:33 2018 +0000

    Use more readable style for $BRIDGES, $SNAT, and $LOGGED
    
    #42

commit 8e2465106c99c6e1a81d00fdb53230876da544b5
Author: Rusty Bird <rustybird@net-c.com>
Date:   Thu Sep 6 11:20:31 2018 +0000

    Allow empty lines in $LOGGED

commit 178a311794d69dd11a10d7e0de1d112d9458fb7c
Author: Rusty Bird <rustybird@net-c.com>
Date:   Wed Sep 5 20:49:27 2018 +0000

    Remove 20-bridges-auto.conf, add 20-bridges.conf
    
    Fixes #42

commit 40ecb5f00412cf976c42d4cbfbd76dfcaa052d0c
Author: Rusty Bird <rustybird@net-c.com>
Date:   Wed Sep 5 20:49:25 2018 +0000

    Update copyright year

commit 0538cd02462202d3107248d5fcc75c096a138690
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Aug 27 16:36:08 2018 +0000

    bumped changelog version

commit 32f0757bc5689d8635edeea7e428c27338705034
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 21 05:17:57 2018 +0800

    readme

commit 5cd06dc4de94d8c03170558316090104857a2121
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 1 15:00:51 2018 +0000

    bumped changelog version

commit 79c293e864bf7a25e1fd74ff8c27d2a2467240d5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 1 14:59:53 2018 +0000

    bumped changelog version

commit 74165852005b9c3d934db70b187487b132bc4ed5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:50:16 2018 +0000

    readme

commit 72d84ed9c009b2cbe66908b0959fae410b73a0ac
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:38:48 2018 +0000

    update copyright

commit bf087befa5d11eb438dc0f3873fe832c48a07425
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:21:56 2018 +0000

    update copyright

commit e375b6871a75ab2d1a1c7c0eaffeea2c8ac9c826
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:15:08 2018 +0000

    update copyright

commit bbac355735f22219294d393cb66ff491055e6b35
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:09:33 2018 +0000

    update copyright

commit 14e72956599650805cf278cb3ef38da885a4aa5f
Author: Rusty Bird <rustybird@net-c.com>
Date:   Wed Dec 6 21:31:20 2017 +0000

    Update my email address

commit ad499b21d40705ce9f02205616f256eab74608a9
Author: Rusty Bird <rustybird@net-c.com>
Date:   Wed Dec 6 21:29:41 2017 +0000

    Update copyright year

commit 40796355196bc656c5325dde74c86f7396b3e2f0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 17 13:57:09 2017 +0000

    bumped changelog version

commit 2eadd5a01a366472977881f0a9db114c0bd7bf27
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 14 17:30:30 2017 +0000

    "$@"

commit b07cf21c376cda36e659428c7dc2f2d9bca1e55f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 10 15:47:50 2017 +0000

    remove faketime from Build-Depends:
    
    since no longer used for reproducible builds

commit b77859a0c0cd760d68cb3ef0aed2d3eefbd816de
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 10 15:35:22 2017 +0000

    remove debian/gain-root-command workaround

commit 0f8674b2bc38bf9e092d6b7e466bc07d92cacaec
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Sun Jan 22 13:09:12 2017 +0000

    Add "Documentation=man:corridor(8)" to systemd units
    
    Closes #38

commit bd27085add583deb384028ee53af96ecbd14bcdf
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 15 15:29:44 2017 +0000

    bumped changelog version

commit 24ea68683e03324e854edaf2d1bca429b9d2295e
Merge: 1eb3799 ae140fe
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 15 12:38:14 2017 +0000

    Merge branch 'systemd-documentation'

commit ae140feda6e74124c852b7a64f9d92d47bd943f8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 15 12:36:13 2017 +0000

    Add Documentation=https://github.com/rustybird/corridor to systemd unit files.
    
    This fixes a lintian warning on Debian.

commit 1eb3799e75ac3172dbe212e9c654b53c2baacb50
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 15 12:33:08 2017 +0000

    override lintian copyright false positive

commit ae397137cd141e715241dce929313370ebdc5082
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 15 08:35:30 2017 +0100

    packaging, bumped Standards-Version from 3.9.6 to 3.9.8 for jessie support

commit 6196ad1062339d3b94b14ba4f24cbd4975ae50dd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 12 02:55:06 2017 +0000

    bumped changelog version

commit db10c0c76a2046070730104fe4860c72b6b35009
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 12 02:51:05 2017 +0000

    create signed commit

commit a900658b2fad4dde20873cdbbc1fdbb7da28f74f
Merge: d043cfc 8b6ea4b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 11 21:10:55 2017 +0000

    Merge branch 'rustybird-master'
    
    Conflicts:
            Makefile

commit d043cfc553e2452300d3954515f10f7bcaeb26eb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 11 21:09:42 2017 +0000

    fix, ?= actually not required

commit 8b6ea4b0652f017db82a0908ef40e8f029a774d9
Merge: bda0cc4 91088fd
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Mon Jan 9 15:25:28 2017 +0000

    Merge remote-tracking branch 'origin/pr/37'

commit 91088fd94fac08ea8fa10fc3a29184576efc62bb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 9 15:22:33 2017 +0100

    don't enforce /usr/local/etc

commit 0ba7cabb9ce402079915ab6ea6c11b88029649fd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 8 21:31:12 2017 +0000

    make fixes, no longer require dh_local

commit b1b34a0dad98b2aa70e24278735fb11230ee2c7f
Merge: 431c3e6 bda0cc4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 8 20:38:23 2017 +0000

    Merge remote-tracking branch 'rustybird/master'
    
    Conflicts:
            Makefile
            README.md

commit bda0cc417751a7b910d99f55892466aad740831a
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Sun Jan 8 10:26:48 2017 +0000

    Add "make all" target
    
    Fixes #35

commit a5bddb0b9c238fb228c117286bdb2d19cea6ee14
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Sun Jan 8 10:26:48 2017 +0000

    Revert "Automatically run clean target before install-systemd target"
    
    This reverts commit e0ce0f8242166a4f8a01462c2d094fb55b6b93ae.

commit acf8c891b4436e54e4e2b859b8da0b4a9a85a1f5
Merge: 7f30336 1aa4d9f
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Wed Dec 28 21:00:35 2016 +0000

    Merge remote-tracking branch 'origin/pr/34'

commit 1aa4d9febed65ac808862f57f2f0237aabc899e6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 28 21:06:59 2016 +0100

    enable RemainAfterExit=yes in corridor-init-logged

commit 7f30336aeae0e8793cf44fdb23daa54a490fe357
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Sun Dec 18 14:47:17 2016 +0000

    SAFETY: Document correct systemd snippet path
    
    If you're using systemd with something other than systemd-networkd to
    bring up your network (e.g. a service named some.service), the systemd
    configuration snippet should go into /etc/systemd/system/some.service.d/
    and *not* into /etc/systemd/some.service.d/ as the README.md previously
    instructed.
    
    In the event that corridor-init-forwarding.service failed for some
    reason, such as a broken iptables binary, the misplaced snippet would
    be ignored and the network would be brought up unfiltered. (corridor
    would then also not enable IPv4 forwarding, but maybe your system has
    been set up to enable it independently?)

commit 431c3e6b5c08719f7e97c542ce23f51954386ea2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 10 02:07:19 2016 +0000

    bumped changelog version

commit 4bd6da4794d04fecf55affd4821be40c40cf09ad
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Nov 21 17:40:30 2016 +0000

    readme

commit 041d995372c1270aa003f4c394ab1455ecff593a
Merge: 952342c bd1e9ea
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Sep 5 16:19:48 2016 +0200

    Merge remote-tracking branch 'rustybird/master'
    
    Conflicts:
            Makefile

commit bd1e9ea8598d72c837933b6cb2868f1a75b1f5db
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Fri Sep 2 12:47:37 2016 +0000

    Use -f (noglob) option in corridor-data
    
    Otherwise, line splitting via "set -- $LINE" is unsafe.

commit 7cbdb417d80dcb00aadee1928a3cf88f0b684bb1
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Wed Aug 17 12:37:28 2016 +0000

    Fix broken Markdown
    
    #24

commit d41ef93a7e837bd989bd83284b5c9fd59840214f
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Wed Aug 17 12:25:35 2016 +0000

    Mention Debian package and Whonix wiki page
    
    Closes #24

commit 4d63e2876c868a1b84cf07bc206f8a168b8d711e
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Sun Aug 14 16:24:41 2016 +0000

    FallbackDir support for tor >= 0.2.8.1, e.g. TB >= 6.0.4

commit 918b788125f8c90342e754f8d37c6cc63ab7296b
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Sun Aug 14 16:24:39 2016 +0000

    Be flexible about order of IP address and OR port

commit 130c885dad60e1fda0ac332e9f219ed76994837c
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Sun Aug 14 16:24:37 2016 +0000

    Reformat

commit 77901c0039bcf431e2cb8f897a061a5032e8ab42
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Wed Aug 3 12:46:23 2016 +0000

    Rephrase warning about other firewalls
    
    #26

commit fe3414d4198c9978ebca082e0a560172c132edae
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Wed Aug 3 12:06:22 2016 +0000

    Warn about other firewalls
    
    Fixes #26

commit cc0c4dfab9945a6ce7023cb9ee9e4efffd9273b0
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Wed Aug 3 12:06:21 2016 +0000

    -logged.service: require and order after -data.service
    
    Fixes #32

commit f8b2247073b6c51106d4e23250850f94ab494301
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Wed Aug 3 12:06:19 2016 +0000

    Makefile: make the default target depend on man/corridor.8

commit 952342cdc52efca40a7a2e3417767c7949507bcf
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 31 19:15:22 2016 +0000

    bumped changelog version

commit 24cc4eff4722a7f7b96941b9349e85a3018f521a
Merge: 48ffa45 51e09be
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 31 14:08:37 2016 +0000

    Merge remote-tracking branch 'rustybird/master'
    
    Conflicts:
            Makefile

commit 51e09be7dd1fc3cd8d841342d2b8be5b8e6c600b
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Sun Jul 31 12:32:24 2016 +0000

    Use DefaultDependencies=no in -forwarding.service
    
    Avoid ordering cycles if a unit (e.g. Debian's networking.service)
    orders itself after network-pre.target but before basic.target.
    
    Closes #29

commit 47895437c6ea7200ec190b88e1e1c79c6186eadc
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Sun Jul 31 12:32:23 2016 +0000

    Break qubes-iptables.service's cycle
    
    #29

commit e0ce0f8242166a4f8a01462c2d094fb55b6b93ae
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Sun Jul 31 12:32:21 2016 +0000

    Automatically run clean target before install-systemd target
    
    https://github.com/rustybird/corridor/issues/18#issuecomment-233384918

commit 8b3c9f0713b853e1c8d0da5eeb9e2f0027153522
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Sun Jul 31 12:32:20 2016 +0000

    README.md: Don't use tabs in instructions

commit 950bd054657af58be539178ae10e7a1688cbcc9c
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Sun Jul 31 12:32:18 2016 +0000

    README.md: Fix typo

commit b9bab19a59f056270200bd7febf91d4d345dab73
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Sun Jul 31 12:32:17 2016 +0000

    Rename LICENSE to LICENSE-ISC
    
    This way, the license used is obvious just from looking at the
    directory.

commit 48ffa4552d25ae3b341154856b634c41319da7f2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 30 17:37:51 2016 +0000

    bumped changelog version

commit b767a6ae1d82769b67097142814cbda3625b79a2
Merge: 3efc8cc cfaabc5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 30 17:35:46 2016 +0000

    Merge remote-tracking branch 'rustybird/master'
    
    Conflicts:
            Makefile

commit cfaabc5d27fb7dfa494d828dbe2998730898674e
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Sat Jul 30 10:53:10 2016 +0000

    Requires=, not Require=
    
    #29

commit f8708d415d98a6831ace8819c0a926ef277153c1
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Sat Jul 30 10:53:09 2016 +0000

    Use autoconf-like @SBIN@
    
    #29

commit ce0b65cf4863184487b360361b1f40767e603e0b
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Sun Jul 24 11:47:06 2016 +0000

    qubes-service.conf: Use triggering conditions
    
    Start if the Qubes services directory doesn't exist at all, e.g. because
    "make install-qubes" was run on another platform.
    
    Closes #27

commit 3efc8cc212bbc5021d9bd291c986d651246ad9aa
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 23 14:11:58 2016 +0000

    bumped changelog version

commit 88f373f06fe6271fe1230901ad16147c50f3022d
Merge: b87f0a8 d37640c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 23 14:07:19 2016 +0000

    Merge remote-tracking branch 'rustybird/master'
    
    Conflicts:
            Makefile

commit d37640ccf83630add83fdb316986f78e7689b308
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Sat Jul 23 12:39:19 2016 +0000

    Also load configuration from /usr/local/etc/corridor.d
    
    Fixes #22

commit 640d6b5ce08d0887c921702cb796cdc72a43814c
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Sat Jul 23 12:39:18 2016 +0000

    Align a line

commit cd05d9557cabc2c5978051f84f7b695c343916b8
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Sat Jul 23 12:39:16 2016 +0000

    Rename CORRIDOR_FORWARD chain to CORRIDOR_FILTER

commit b87f0a84a94a2bc583b5547536252d68d7a2100b
Merge: 310a60f 1ce7055
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jul 21 20:04:03 2016 +0200

    Merge remote-tracking branch 'rustybird/master'

commit 310a60f1b49128aa9394b90cf6d54785188649bf
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jul 21 18:08:51 2016 +0200

    disable man page creation since that is now done by upstream
    
    Thanks to @rustybird for the report!
    
    https://github.com/rustybird/corridor/issues/10#issuecomment-234256335

commit 746773ba5a635c319b1eb83ba9cd7af2f8a73477
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jul 21 17:36:17 2016 +0200

    delete README.debian
    
    no longer required since corridor is providing releases now
    
    Thanks for @rustybird for the report!
    
    https://github.com/rustybird/corridor/issues/21#issuecomment-234266585

commit 1ce7055d7394739d1c6162c1cad11ffa207d1d3c
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Thu Jul 21 13:11:41 2016 +0000

    Order corridor-data after qubes-mount-dirs
    
    The state file is saved on /rw, but mounting /rw is not part of the
    DefaultDependencies.
    
    Fixes #21

commit e9907c96ffc0264139c48625b6688a160f1d934c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 18 21:26:28 2016 +0000

    move to new corridor version scheme
    
    https://github.com/rustybird/corridor/issues/10

commit dc136643d56de8d2184164eb440f4a5617ac6a7e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 18 21:02:04 2016 +0000

    no need to set variables for 'make clean'

commit 0e6e6b4d399070030d727295d7e59b017a6c8dc0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 18 17:14:24 2016 +0000

    properly run upstream make file 'make clean'
    
    https://github.com/rustybird/corridor/issues/18
    
    https://github.com/rustybird/corridor/issues/10

commit 01b7cbbdb87032b3f2ecdc78ac8c59cdd68cf967
Merge: 313fa4a 2b17a45
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 18 16:19:41 2016 +0000

    use original makefile
    
    https://github.com/rustybird/corridor/issues/18
    
    https://github.com/rustybird/corridor/issues/10
    
    Merge branch 'orig_makefile'

commit 2b17a45a6d262fb5274200132c071f8b4587fca9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 18 16:04:58 2016 +0000

    .

commit 42ef8aff5f2c346729467f3a8efaeed2c8ebf95d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 16 15:16:05 2016 +0000

    .

commit 313fa4aee495e016cef0172f1deba78027b95cd3
Merge: 6bcf1f8 463834f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 16 15:27:08 2016 +0200

    Merge remote-tracking branch 'rustybird/master'

commit 463834f8778c5a165346ac73442e8fede0366b6b
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Fri Jul 15 11:58:00 2016 +0000

    Factor out loose IPv4:port matching

commit 10ba25123087070e9fc91681228989a652c07286
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Fri Jul 15 11:57:58 2016 +0000

    Capitalize "Versioning", too

commit faf9309ca0891a8e9a069d4a93ce0e9162c80dd4
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Thu Jul 14 16:56:55 2016 +0000

    Capitalize sentence

commit 4390c2a3f8ff34983cb18074f1865a33f5255af0
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Thu Jul 14 16:48:58 2016 +0000

    Switch to semantic versioning

commit 6bcf1f8daa5365d256a9d4e26b5091265946fc5b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jul 14 16:25:36 2016 +0200

    remove Debian specific configuration file
    
    since https://github.com/rustybird/corridor/issues/11 was fixed upstream in corridor

commit 2b3c46772f9bc25db0516bca90a6fb57922df3e1
Merge: 6e8a575 307ceed
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jul 14 16:23:18 2016 +0200

    Merge remote-tracking branch 'rustybird/master'
    
    Conflicts:
            Makefile

commit 307ceeda94a7970245a1f27a57ab51a7ed5f5d45
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Wed Jul 13 16:34:57 2016 +0000

    Rephrase Qubes warning

commit 2e392365e5d96e4131240c14a7013eb3ebe23f00
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Wed Jul 13 13:19:24 2016 +0000

    Not such a terribly early release anymore

commit 09dc636fe7bba173339665215bb30caf9b6642d5
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Wed Jul 13 13:15:14 2016 +0000

    Update todo list

commit 25a21981dcd265d46434b4f90791ce6ea0200db5
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Wed Jul 13 13:01:08 2016 +0000

    Avoid pkg-config and systemctl in Makefile

commit 66b8c2cec4dba2e9e762d0479dc6a1994b1856f6
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Wed Jul 13 13:01:06 2016 +0000

    Use correct installation command

commit bf303ee9b54fbaaadb3cc7649602d6c023ddc45b
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Wed Jul 13 05:57:00 2016 +0000

    Move corridor-* to sbin/

commit 5c0cf80c5819b39778df7036d6d5774250690a48
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Wed Jul 13 05:12:27 2016 +0000

    Qubes support
    
    Fixes #17

commit c8bc8434c05c848c688fa901ce9c4d977679d0ad
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Wed Jul 13 04:36:28 2016 +0000

    Use Debian/Fedora defaults for control connections
    
    Fixes #11

commit d431cb00c41cc8f7331892cb273f417574c4e735
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Wed Jul 13 04:36:26 2016 +0000

    Remove duplicate "Processing router list..." message
    
    Fix regression introduced by a56d751df399ab1c54f64b0d4dc59f732dc0adc3
    ("Fix connection errors for clients' first consensus download")

commit 7ca242b758de55adfe0b3e7d06929b2e3d9447f8
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Tue Jul 12 13:32:30 2016 +0000

    Use 'ln -sf' instead of 'ln -s' for manpages

commit f1a931c2f914d1552b64aafa5d6578e34944affa
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Tue Jul 12 13:01:03 2016 +0000

    Set DirPort automatically
    
    #16

commit c4267ce7ad5a054fed9442170c07d237a9983dd8
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Mon Jul 11 14:50:41 2016 +0000

    Add NoAdvertise to DirPort line in README
    
    It doesn't make a difference as long as we are not also advertising an
    ORPort, but relying on undocumented behavior is a bad idea.

commit 6e8a575342cbf1723afbae2ea95ed88265fd14f9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 11 14:31:06 2016 +0000

    use corridor's upstream new version scheme
    
    https://github.com/rustybird/corridor/issues/9
    
    https://github.com/rustybird/corridor/issues/10

commit b63d51e5c1d3d14d238278df26a6a88bb1177dba
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 11 14:29:55 2016 +0000

    add README.debian
    
    https://github.com/rustybird/corridor/issues/10

commit 29b98dd30e8f7185981490398d5f020c33082c39
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 11 15:01:21 2016 +0200

    bumped debian/compat from 8 to 9

commit 85997f575d1dc2e468b84f3e18d4baec862830dd
Merge: 0ccbcc2 c23f48b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 11 14:18:34 2016 +0200

    Merge branch 'debian_new'

commit c23f48b6ab9617fc64afe1ca39976877fa900838
Merge: 44e3c0b 0ccbcc2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 11 14:18:22 2016 +0200

    Merge branch 'master' into debian_new
    
    Conflicts:
            Makefile

commit 0ccbcc2ef8a486d293d7b14bd03794ce7bcefc06
Merge: eea5c0f 6605d78
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 11 14:17:20 2016 +0200

    Merge remote-tracking branch 'rustybird/master'

commit 6605d78c2f40d058578dcc1c1ca456d744acb2dc
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Sun Jul 10 13:17:57 2016 +0000

    Ship pregenerated manpage

commit 6d86348e5faace194c0b5538a41fb48ebf385fb1
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Sun Jul 10 13:17:55 2016 +0000

    Add rules to generate and install manpage

commit 351450e37a36895e9c5a920164a1d988df136da3
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Sun Jul 10 13:17:53 2016 +0000

    Minor manpage changes

commit 90d187c636067894376a283b275d28a19a36092c
Merge: eea5c0f 5714d69
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Sun Jul 10 13:16:11 2016 +0000

    Merge remote-tracking branch 'origin/pr/15'

commit 5714d6975ff35bc192f3be2a2d16e66384dfcdd9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 9 21:12:49 2016 +0000

    man page fixes

commit 44e3c0b4f6f9933f460d89a81ed4ce324c406907
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 9 21:12:49 2016 +0000

    man page fixes

commit cc5b01b1bb34cbe55252b3df9c0e774f2e42c447
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 9 21:05:48 2016 +0000

    enable manpage creation and create symlinks to combined manpage

commit 239d19af45bcd6e34b295a38f0471f7b647aac6f
Merge: 26eceed 4125f65
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 9 22:53:29 2016 +0200

    Merge branch 'manpage' into debian_new

commit 26eceed934ea45f3eeffee04fe88b375b7d6d822
Merge: 90663fe eea5c0f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 9 22:53:18 2016 +0200

    Merge branch 'master' into debian_new

commit 4125f653b4126dda499dc0e4a9d0fbe7ab832e54
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 9 22:52:41 2016 +0200

    initial manpage

commit 90663fe092ea4cd4ccba717bfa1cecda19e7dcc3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jul 8 14:10:32 2016 +0000

    fix lintian copyright warning
    
    I: corridor source: unused-file-paragraph-in-dep5-copyright paragraph at line 3

commit eea5c0f4544cd130cd25118733ea1a2328666dfb
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Thu Jul 7 06:19:44 2016 +0000

    Actually ensure IPv6 forwarding is disabled
    
    There is no net.ipv6.ip_forward parameter at all! The correct parameter
    to use is net.ipv6.conf.all.forwarding.
    
    Luckily, IPv6 forwarding is disabled by default at the kernel level.
    systemd-networkd doesn't automatically enable it; Debian 8, Fedora 23,
    and Arch don't seem to either.
    
    Also closes #14

commit 20865913dc1bcaddf5d9e532cfbda624873241dd
Merge: 8315537 6b2e31c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 6 19:35:00 2016 +0000

    Merge branch 'master' into debian_new

commit 6b2e31c09187f87b30363e0a4f4d9e53484f21c8
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Wed Jul 6 11:47:45 2016 +0000

    Add and use corridor-stop-snat

commit b659925320bdaacdb7516dd41e88ba3073f9c54e
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Wed Jul 6 11:47:42 2016 +0000

    Use separate chain for SNAT

commit 94121e268709d9c46487fa7c11a9d162efad0d12
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Wed Jul 6 11:47:38 2016 +0000

    Add and use corridor-stop-forwarding
    
    Closes #13

commit 50b75479f9dfcabb12488a0574231e3cfa60fcc0
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Wed Jul 6 11:47:34 2016 +0000

    Rename CORRIDOR chain to CORRIDOR_FORWARD

commit 4d9854a5591b235a73a2706b42bbcd8be360c5f2
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Tue Jul 5 18:19:50 2016 +0000

    Use committer date instead of author date

commit 6c5f3ca431eceb92856662379f82d2fc79399386
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Tue Jul 5 18:01:02 2016 +0000

    Explain version numbers and git branches
    
    Fixes #9
    Closes #12

commit 831553771ed5f69e1cd0c44e4ade91bc90068133
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jul 5 15:50:29 2016 +0000

    Debian specific Tor Control Authcookie file configuration
    
    https://github.com/rustybird/corridor/issues/11

commit 3158dbc5ecf7e53a5d236de60eea370bfb2eb7d9
Merge: 61afc93 57c397d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jul 5 17:37:01 2016 +0200

    Merge branch 'master' into debian_new
    
    Conflicts:
            Makefile

commit 57c397dde89b570a6f6be73f16caac100275f337
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Tue Jul 5 12:46:28 2016 +0000

    network-pre.target is a passive target
    
    Fix regression introduced by d357f77409cd1b1bf69cf767df4761345e924cc0
    ("Order corridor-init-forwarding before network-pre.target")

commit 75244c17a9ed0569faa00f1181644d847a2840ac
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Mon Jul 4 10:22:29 2016 +0000

    Make corridor-load-config greexecutable again
    
    Works as a config file sanity tester now. #10

commit 61afc9382cd123421878f4f579ce85adb43c9e6f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 3 17:59:32 2016 +0000

    add postinst / postrm for creation / deletion of /var/lib/corridor

commit 66d2027d18e24899bc5de438c54065a65654f6d8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 3 17:37:02 2016 +0000

    .

commit 3a8f3290a15a407362924155e794816e6c5b6fe2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 3 17:31:38 2016 +0000

    fix, patch SBIN in systemd unit files to /usr/sbin

commit 01e009eb88e73575a82a79dd9550ac69eec5a7c3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 3 17:10:25 2016 +0000

    fix, strip the .in file extension from systemd unit files

commit 94c0a16c054620a33c1c3d035ea2c91ace1102a7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 3 16:47:20 2016 +0000

    new packaging attempt

commit 03a8a08c37cb307801ddf3395e75c631cebcf428
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 3 18:01:23 2016 +0200

    old debian folder

commit d357f77409cd1b1bf69cf767df4761345e924cc0
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Thu Jun 30 16:13:47 2016 +0000

    Order corridor-init-forwarding before network-pre.target

commit d925e913061960ec28b6b8a636167025b4089aa2
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Fri Jun 24 13:07:00 2016 +0000

    Save relays list from consensus to disk
    
    Can usually avoid a deadlock during startup when the control port is on
    a client computer.

commit 65ea32218797062c0d6fb391085b3ff0135bb999
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Fri Jun 24 13:06:59 2016 +0000

    Remove whitespace and dedup sooner

commit df5dc8914687f82f6ffd40da4c5bb0f0dd44217e
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Thu May 5 07:49:40 2016 +0000

    Rework systemd units to avoid ordering cycles

commit 46dd48dab65309e89e6a70b1138f80df7e5eb03b
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Thu May 5 07:49:40 2016 +0000

    Wait for xtables lock

commit 24a1a7753dac4e9654eb677b941a57c9eeaaf3a1
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Thu May 5 07:49:40 2016 +0000

    Document DirPort

commit 2c6909620279e54fb7c5968c37f4409fd1e9bcac
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Thu May 5 07:49:39 2016 +0000

    Add blank line

commit 6750969773250c5b1e8e87f14cefa46b1bc3951c
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Fri Feb 5 21:39:48 2016 +0000

    Miscopied variable name made last commit ineffective

commit a56d751df399ab1c54f64b0d4dc59f732dc0adc3
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Fri Feb 5 19:15:05 2016 +0000

    Fix connection errors for clients' first consensus download
    
    Clients download their first ever consensus from a hardcoded list of
    directory authorities. But these authorities are hardcoded under
    different IP:port addresses than what they publish about themselves in
    the consensus.

commit dd9fe955329d594f38b3f8ea0f34dead0738c771
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Fri Feb 5 19:15:05 2016 +0000

    Indent multiline $RELAYS variable

commit 0bff4520bdcdcb9a9cb0abe1631cb55384a4ae94
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Fri Feb 5 19:15:04 2016 +0000

    Add *.service files (built by make) to .gitignore

commit cb9279217b9842ecbcd1f42d94180185dab94545
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Wed Dec 2 09:37:12 2015 +0000

    Don't fail if /etc/corridor.d doesn't exist or is empty

commit 612bbcaea71975ddf69b319922805b3472335365
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Wed Dec 2 09:37:12 2015 +0000

    Remove misleading hashbang and exe bit from corridor-load-config
    
    corridor-load-config is intended to be sourced (man 1p dot)

commit 9c7c1761d0283439bfc4790d3f656df4d45b702a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Nov 29 21:43:30 2015 +0000

    only source configuration files ending with .conf

commit 83ab7b7080cc6ad88ae7cfdefa1df4e15d280f49
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Mon Nov 30 13:07:29 2015 +0000

    Rename corridor.d/* to corridor.d/*.conf

commit ec26ef5a45b73201cd5736582efa0f33a9ad59b0
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Fri Feb 6 14:49:54 2015 +0000

    Wrap LICENSE at 72 characters per line

commit 76ec2ee8f21a941a120eed30371ed15823c48d58
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Fri Feb 6 14:11:51 2015 +0000

    Permissive license, fixes #1

commit 1d238ea7abac44a15e766792fc5c77a9355358e6
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Fri Feb 6 14:11:50 2015 +0000

    Stronger warning due to "GETINFO address"

commit 9f2e30a485289000dcd9525770a63ea212a3e2d5
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Fri Feb 6 14:11:50 2015 +0000

    Safety, not security

commit d5eb77629218d30acf9bd908ac1d2d36ebe45c48
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Wed Jun 11 13:08:42 2014 +0000

    Hook the CORRIDOR chain later, when it has been built

commit 54bc5759ed3a0f442333a354d658915a72401276
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Tue Jun 3 20:16:47 2014 +0000

    Fix the documentation: Work around systemd bug https://bugs.freedesktop.org/show_bug.cgi?id=75104

commit 6c3fb1fa1b27419b4a2f40ee2d0526e30bbb595c
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Tue Jun 3 10:38:40 2014 +0000

    Fix the documentation: "Usage" is a subheadline

commit bbe1f000cab39a432cbc1c774312cc9f11711dc0
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Tue Jun 3 10:32:51 2014 +0000

    Add systemd units

commit 795c6d38d0f0550b01a849d4457a1fc2316f84cf
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Tue Jun 3 10:32:50 2014 +0000

    Split "Example usage" into "Installation" and "Usage"

commit 28211d8c8577fa920f0dfb41d29d78be99123e8c
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Sun Jun 1 19:14:37 2014 +0000

    Fix errors on empty $SNAT or empty $LOGGED

commit 8cb5105df6ca525217d7919afb7b7418822a8b90
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Sun Jun 1 19:14:37 2014 +0000

    Work around Debian

commit 574fd3f05d72e871247e370bd0097f833bff76fd
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Sun Jun 1 19:14:37 2014 +0000

    Move a comment

commit f4de0f28f7d5ca6249d7abc5a6d2f78c46e63238
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Sun Jun 1 19:14:36 2014 +0000

    Fix the documentation: make is another dependency

commit a66fcfea221012bf7e686d7482f3526b671dc9f6
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Sun Jun 1 16:10:45 2014 +0000

    Fix the documentation to reflect the corridor-data merger

commit 926b70594551680edc0982ea8d42ee0a9faa0973
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Sun Jun 1 15:07:34 2014 +0000

    Merge corridor-data-bridges and corridor-data-consensus into corridor-data

commit 60862a23a78a06056e5bf98ad3fee2ab07389ae4
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Sun Jun 1 15:07:34 2014 +0000

    Merge corridor-init-filter and corridor-init-forward into corridor-init-forwarding

commit 6532a652de58443fe3a8c3f6ffc51f9381e6a9c5
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Sun Jun 1 15:07:34 2014 +0000

    Add and use corridor.d/ and corridor-load-config

commit 482dc5529cf47f68d404b3f241a8e72ebca5923d
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Sun Jun 1 15:07:34 2014 +0000

    Rename corridor-ipset* to corridor-load-ipset*

commit 676a465790ff6e7d988cbe564bce1ffaa433af57
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Sun Jun 1 15:07:33 2014 +0000

    Move the DESTDIR variable

commit 7f00cd24872b3b0c1f9ebee61fc517870f50543e
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Sun Jun 1 15:07:33 2014 +0000

    Remove obvious comments

commit 0f7f54acc3f191b27639207e1a8eb779ae46c933
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Wed May 14 12:36:35 2014 +0000

    Don't complain if the corridor_relays ipset doesn't exist yet

commit 43f35cdcc9d85658e22ee997cb7f1f5da5a385f3
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Wed May 14 12:36:35 2014 +0000

    Clients may be linked by switches etc.

commit 58c6855f9543e6af7e61c44bff801f9793861a05
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Mon Apr 28 12:03:44 2014 +0000

    Ignore unsuccessful socat exit in the receive() loop

commit 9ff2cd13fd68042356bfcced9ddf7f54b7f72c49
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Mon Apr 28 12:03:43 2014 +0000

    Merge setup() into receive() in corridor-data-consensus

commit 64db5c1e00d01526a5d0cd9fc5538a9528ef26cc
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Mon Apr 28 12:03:43 2014 +0000

    Use exec(1)

commit bdb4fb070d5aaccb54d0c36bc6929b02d5d71897
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Tue Apr 22 08:49:29 2014 +0000

    Simplify splitting a line into fields

commit 7c5f35091b1a8031b95cda146c19b0f1c9a4c6e4
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Tue Apr 22 08:49:29 2014 +0000

    Use exec(1)

commit 9f5e874780231148b4999171bbabb31624e3ae88
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Sat Apr 19 16:39:35 2014 +0000

    Add a minimal Makefile so you can "make install".

commit facbb4c5dab0df9e53e9cedd18bf8cf5277b7d01
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Sat Apr 19 16:39:35 2014 +0000

    Update a comment to reflect e83ccd4

commit 9ef8ebe0d6024e7a965e0051278f37622b7966b8
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Sat Apr 19 16:39:35 2014 +0000

    Align the corridor-ipset code

commit 4c051f6483d2106439caaf84b92b42e206b839f0
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Sat Apr 19 16:39:34 2014 +0000

    No need to remove the empty first line from the input to corridor-ipset-relays

commit 94becc4474a1095fda88fc219545dcdd0152ae4b
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Tue Apr 1 14:18:46 2014 +0000

    Update the todo list

commit 2d2f501096c3d7dc7fb99377852be1e4fafef6e2
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Tue Apr 1 14:18:46 2014 +0000

    It's no longer called the Tor Browser *Bundle*

commit 2c63c473d5ab09c143891469234e2f30b11c7629
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Sun Feb 23 13:41:50 2014 +0000

    Fix the documentation: In relation to the other network, we are a client

commit 2d147ea594b5497ba278b11d2ef3b64e273beb11
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Sat Feb 22 15:10:58 2014 +0000

    Tone down the warning a bit

commit 9d1f413a7e4ed4615c9459c27f69d09c2b34726e
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Sat Feb 22 15:10:58 2014 +0000

    Fix the documentation: Valid/Guard/Authority flags are irrelevant for corridor-data-bridges

commit efb4591bfe179f3b8db4e18c3e5961bd7ebfa996
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Sat Feb 22 13:27:13 2014 +0000

    Optional logging of (some) prevented leaks

commit 432439a5ab89d4e39459eb25cbe63a1b943ef6b5
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Sat Feb 22 13:27:13 2014 +0000

    Refactor the main iptables rule into a CORRIDOR chain

commit 1b97e0a9fde01e73656aed22c402da2d2cf5137f
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Sat Feb 22 13:27:13 2014 +0000

    Ignore all lines not starting with "Bridge" so you can pipe a torrc into corridor-data-bridges

commit bc2400811495b3792e35e9f0b405c4f28add4d87
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Sat Feb 22 13:27:13 2014 +0000

    Support static SNAT in addition to MASQUERADE in corridor-init-snat

commit f69d619b3745852bc4f9340ed6c275b911f6a4f3
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Sat Feb 22 13:27:13 2014 +0000

    Place "How does corridor-data-consensus..." after "Example usage"

commit f546cef1c936a5639e3e1f5a0a5e11ca352c7165
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Sat Feb 22 13:27:13 2014 +0000

    Refactor corridor-forward into corridor-init-filter, corridor-init-forward, corridor-init-snat

commit 69e4a75f3c190200e812cce96c75c90edc5d3f08
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Sat Feb 22 13:27:12 2014 +0000

    Don't clobber an existing ipset during initializiation

commit d892b9a73523ed40049a241975d79ecb6d84ea08
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Sat Feb 22 13:27:12 2014 +0000

    Refactor corridor-helper-update into corridor-ipset, corridor-ipset-relays

commit e83ccd40f7acf65d37a0bae31e7fcd62c26cabbd
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Sat Feb 22 13:27:12 2014 +0000

    Use ipset(8) syntax for input to corridor-helper-update

commit 3f76838e0aa8e1fe1f38e48e99f9af24da6a97a9
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Sat Feb 22 13:27:12 2014 +0000

    Rename tor_relays to corridor_relays

commit 344f03972683ec7ac404c88f1877a45d6ff68bff
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Sat Feb 22 13:27:12 2014 +0000

    Input to corridor-helper-update is already unique since ccb148b

commit 1adf9f30ee55eccaf8cfb065fa8a683099d0d113
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Mon Feb 17 08:02:27 2014 +0000

    Only allow connections to Valid relays with a Guard or an Authority flag

commit bdbc21cc094bf5c2d73b79af463ab794e3adcbb4
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Mon Feb 17 08:01:22 2014 +0000

    Factor out line reassembly

commit ccb148b0e3de93bba9f0fabbd64ae43f91ca74ad
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Mon Feb 17 07:59:53 2014 +0000

    Only allow connections to relays' ORPort

commit bb65b0e44e1f03eb68e20acb054137388e93294a
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Mon Feb 17 07:55:28 2014 +0000

    Pitfall: malware + colluding relay

commit 05c1543b660efcc288b4a6c4c4027d4be28ffa49
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Mon Feb 17 07:54:39 2014 +0000

    Clarify the documentation

commit ffd751ed43a1390358a037510574309110c35b79
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Fri Feb 14 12:44:04 2014 +0000

    Hello world
